/**
	@file		dsr.h
	@brief 		File containing the headers of dsr protocol packet functions
	@author		Adrían Antoñana Gómez
	@author		Carlos Díaz Cánovas
	@version	rc-2008/12/07

*/
#ifndef DSR_H

#include "types.h"

_dsr_header _dsrMakeHeader(uint8_t src, uint8_t dst, uint8_t req_id, uint8_t type, uint8_t jump, uint8_t ttl, uint8_t p_len);
_dsr_payload _dsrMakePayload(uint8_t *data);
_dsr_packet _dsrMakePacket(_dsr_header h, _dsr_payload p);
void _dsrMakeFrame(_dsr_packet p, uint8_t *frame);

#define DSR_H
#endif
